%define ver 4.9.5

Summary:	A general purpose 3D finite element solver
Name:		ngsolve
Version:	%{ver}
Release:	1
License:	LGPL
Group:		Applications/Library
Source:		%{name}-%{ver}.tar.bz2
#URL:		http://www.hpfem.jku.at/netgen/
URL:		http://sourceforge.net/projects/netgen-mesher/
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)
BuildArch:	i386 i486 i586 i686 x86_64
Requires:	netgen
#%{?fc4:BuildRequires: compat-gcc-32-c++}
#%{?fc5:BuildRequires: compat-gcc-32-c++}
#%{?fc6:BuildRequires: compat-gcc-34-c++}
#%{?fc7:BuildRequires: compat-gcc-34-c++}
BuildRequires:	netgen
Prefix:		/opt/netgen

%description
NGSolve is a general purpose 3D finite element solver. Version 1.x supports scalar (heat flow), elasticity and magnetic field problems. The package provides C++ source code such that more advanced problem solvers can be built around it. NGSolve performs adaptive mesh refinement, the matrix equations are solved by optimal order multigrid methods.

%prep
%setup -q -n %{name}-%{ver}

%build
./configure --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/%{prefix}/lib/*.so

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc programming_demos
/*

%changelog

* Sat Apr 25 2009 Zhang Linbo <zlb@lsec.cc.ac.cn>
- created the package
